<?php
    // check correctness of posted data, otherwise redirect
		if ( empty($_POST['dynpg_install_step1_license']) ) {
	        header("Location: step1.php");
	        exit();
	    }

	// import
		session_start();
		require 'bin.php';

    // validate post data
		foreach ( $_POST as $key => $value ) {
	        $preload[$key] = htmlentities(addslashes($value));
	    }
		$preload_Req = Array(
			'dynpg_module_standalone' => '',
			'dynpg_mysql_server' => 'localhost',
			'dynpg_mysql_user' => '',
			'dynpg_mysql_password' => '',
			'dynpg_mysql_dbname' => ''
		);
	    foreach ( $preload_Req as $key => $value ) {
	        if ( empty($preload[$key]) ) {
	            $preload[$key] = $value;
	        }
	    }

	// init language processor
		$langHdl = @dynpg_install_InitLanguageProc($_SESSION['dynpg_install_language']);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

		<title>
			<?php print $langHdl->str['lang_install_step2_title'] ?>
		</title>

		<link rel="stylesheet" type="text/css" href="install.css">

		<script src="java.js" type="text/javascript"></script>

		<script type="text/javascript" language="javascript">
		<!--
			function jsMySQLSettingsDone()
			{
				var fieldEmpty = false;

				if ( document.getElementById('dynpg_module_standalone').value != '' ) {
					return true;
				}

				if ( document.getElementById('dynpg_mysql_server').value == '' ) {
					fieldEmpty = true;
				}

				if ( document.getElementById('dynpg_mysql_user').value == '' ) {
					fieldEmpty = true;
				}

				if ( document.getElementById('dynpg_mysql_password').value == '' ) {
					fieldEmpty = true;
				}

				if ( document.getElementById('dynpg_mysql_dbname').value == '' ) {
					fieldEmpty = true;
				}

				if ( fieldEmpty ) {
					alert('<?php print $langHdl->str['lang_install_step2_empty_fields'] ?>');
				}

				return !fieldEmpty;
			}
		//-->
		</script>
	</head>

	<body>

	<a name="__self"></a>
	<table border="0" Cellpadding="0" Cellspacing="0" width="100%">
		<tr>
			<td valign="top" align="left" width="100%">
				<table border="0" Cellpadding="0" Cellspacing="0" width="100%">
				 <tr>
				  <td valign="top" align="left" width="705" style="background-image: url('logo.gif'); background-repeat: no-repeat;">
				  <div id="dynpg_installation_steps">
						<img src="step-on.gif" alt="Step 1 - Active" class="dynpg_installation_steps_img" />
						<img src="step-on.gif" alt="Step 2 - Active" class="dynpg_installation_steps_img" />
						<img src="step-on.gif" alt="Step 3 - Active" class="dynpg_installation_steps_img" />
						<img src="step-off.gif" alt="Step 4 - Inactive" class="dynpg_installation_steps_img" />
						<img src="step-off.gif" alt="Step 5 - Inactive" class="dynpg_installation_steps_img" />
					</div>
                  </td>
				  <td valign="center" align="right" style="background-image: url('head-bg.gif');"><img src="head-right.gif" alt="Head-Right" /></td>
				 </tr>
				</table>
			</td>
		</tr>
	</table>

	<table border="0" cellspacing="0" align="center" class="dynpg_installation_step">
		<tr>
			<td height="50" style="background-image:url('stephead.gif');"><div id="dynpg_installation_step_headline"><?php print $langHdl->str['lang_install_step2_subtitle'] ?></div></td>
		</tr>
		<tr>
			<td><div id="dynpg_installation_step2_text">

			<form action="step3.php" method="post" name="installation_step2" onSubmit="javascript: return jsMySQLSettingsDone();">

			<h4><?php print $langHdl->str['lang_install_step2_install_and_config'] ?></h4>

			<p><?php print $langHdl->str['lang_install_step2_statement_1'] ?></p>

			<table cellspacing="0" align="center" id="dynpg_installation_step2_sql">
				<tr>
					<td><strong><?php print $langHdl->str['lang_install_step2_mysql_server'] ?>:</strong></td>
					<td width="100%"><input type="text" maxlength="255" tabindex="1" id="dynpg_mysql_server" name="dynpg_mysql_server" value="<?php echo $preload['dynpg_mysql_server']; ?>" />
						<a href="javascript: jvHideAndShowHelp('mysql_server_help');"><img src="help.gif" alt="help" border="0" /></a>
						<div id="mysql_server_help" style="display:none;"><span style="color:blue; font-size: 10px;"><?php print $langHdl->str['lang_install_step2_mysql_server_help'] ?></span></div></td>
				</tr>
				<tr>
					<td><strong><?php print $langHdl->str['lang_install_step2_mysql_user'] ?>:</strong></td>
					<td width="100%"><input type="text" maxlength="255" tabindex="2" id="dynpg_mysql_user" name="dynpg_mysql_user" value="<?php echo $preload['dynpg_mysql_user']; ?>" />
						<a href="javascript: jvHideAndShowHelp('mysql_user_help');"><img src="help.gif" alt="help" border="0" /></a>
						<div id="mysql_user_help" style="display:none;"><span style="color:blue; font-size: 10px;"><?php print $langHdl->str['lang_install_step2_mysql_user_help'] ?></span></div></td>
				</tr>
				<tr>
					<td><strong><?php print $langHdl->str['lang_install_step2_mysql_password'] ?>:</strong></td>
					<td width="100%"><input type="password" maxlength="255" tabindex="3" id="dynpg_mysql_password" name="dynpg_mysql_password" value="<?php echo $preload['dynpg_mysql_password']; ?>" />
						<a href="javascript: jvHideAndShowHelp('mysql_password_help');"><img src="help.gif" alt="help" border="0" /></a>
						<div id="mysql_password_help" style="display:none;"><span style="color:blue; font-size: 10px;"><?php print $langHdl->str['lang_install_step2_mysql_password_help'] ?></span></div></td>
				</tr>
				<tr>
					<td><strong><?php print $langHdl->str['lang_install_step2_mysql_db'] ?>:</strong></td>
					<td width="100%"><input type="text" maxlength="255" tabindex="4" id="dynpg_mysql_dbname" name="dynpg_mysql_dbname" value="<?php echo $preload['dynpg_mysql_dbname']; ?>" />
						<a href="javascript: jvHideAndShowHelp('mysql_dbname_help');"><img src="help.gif" alt="help" border="0" /></a>
						<div id="mysql_dbname_help" style="display:none;"><span style="color:blue; font-size: 10px;"><?php print $langHdl->str['lang_install_step2_mysql_db_help'] ?></span></div></td>
				</tr>
			</table>

			<fieldset>
				<legend style="color: black; font-weight: bold;"><?php print $langHdl->str['lang_install_step2_extend_options'] ?></legend>
				<div style="margin: 5px;">
					<img src="<?php echo empty($preload['dynpg_module_standalone']) ? 'un' : ''; ?>checked.gif" alt="<?php echo empty($preload['dynpg_module_standalone']) ? 'un' : ''; ?>checked" id="dynpg_module_standalone_img" style="vertical-align:middle;" onClick="javascript: jvChangeCheck('dynpg_module_standalone');" />
					<?php print $langHdl->str['lang_install_step2_standalone'] ?>
					<a href="javascript: jvHideAndShowHelp('standalone_help');"><img src="help.gif" alt="help" border="0" /></a>
					<div id="standalone_help" style="display:none;"><span style="color:blue; font-size: 10px;"><?php print $langHdl->str['lang_install_step2_standalone_help'] ?></span></div>
					<input type="hidden" value="<?php echo $preload['dynpg_module_standalone']; ?>" id="dynpg_module_standalone" name="dynpg_module_standalone" />
				</div>
			</fieldset>

			<p style="margin: 20px;"></p>

			<?php foreach ( $_POST as $key => $value ) { ?>
			<?php if ( !strpos($key, 'password') && !array_key_exists($key, $preload_Req) ) { ?>
			<input type="hidden" name="<?php echo $key ?>" id="<?php echo $key ?>" value="<?php echo stripslashes($value) ?>" />
            <?php } } ?>

			<input type="image" src="button_next.gif" alt="next" align="right" border="0" />

			</form>

			<form action="step1.php" method="post" name="installation_step2_back">
				<?php foreach ( $_POST as $key => $value ) { ?>
				<?php if ( !strpos($key, 'password') ) { ?>
				<input type="hidden" name="<?php echo $key ?>" id="<?php echo $key ?>" value="<?php echo stripslashes($value) ?>" />
	            <?php } } ?>

				<input type="image" src="button_back.gif" alt="back" align="left" border="0" />
			</form>

			</div></td>
		</tr>
		<tr>
			<td height="30" style="background-color: white; background-image:url('stepfood.gif');"></td>
		</tr>
	</table>

	</body>
</html>